Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517009 - [abrt] gnome-shell: raise(): gnome-shell killed by SIGTRAP (XWayland crash, unknown cause)
Summary: [abrt] gnome-shell: raise(): gnome-shell killed by SIGTRAP (XWayland crash, u...
Keywords:
Status: CLOSED DUPLICATE of bug 1514220
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:56efaa338ff91e520f5cf7a9de6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 22:08 UTC by Costa Tsaousis
Modified: 2018-03-22 21:40 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-21 02:02:12 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-23 22:08 UTC, Costa Tsaousis
no flags Details
File: cgroup (deleted)
2017-11-23 22:08 UTC, Costa Tsaousis
no flags Details
File: core_backtrace (deleted)
2017-11-23 22:08 UTC, Costa Tsaousis
no flags Details
File: cpuinfo (deleted)
2017-11-23 22:08 UTC, Costa Tsaousis
no flags Details
File: dso_list (deleted)
2017-11-23 22:08 UTC, Costa Tsaousis
no flags Details
File: environ (deleted)
2017-11-23 22:08 UTC, Costa Tsaousis
no flags Details
File: limits (deleted)
2017-11-23 22:08 UTC, Costa Tsaousis
no flags Details
File: maps (deleted)
2017-11-23 22:08 UTC, Costa Tsaousis
no flags Details
File: mountinfo (deleted)
2017-11-23 22:08 UTC, Costa Tsaousis
no flags Details
File: open_fds (deleted)
2017-11-23 22:08 UTC, Costa Tsaousis
no flags Details
File: proc_pid_status (deleted)
2017-11-23 22:08 UTC, Costa Tsaousis
no flags Details
File: var_log_messages (deleted)
2017-11-23 22:08 UTC, Costa Tsaousis
no flags Details
journal (deleted)
2017-12-20 08:27 UTC, Costa Tsaousis
no flags Details

Description Costa Tsaousis 2017-11-23 22:08:04 UTC
Description of problem:
Just logged in to gnome and it crashed.

Version-Release number of selected component:
gnome-shell-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=9026f402f8a9413c9bf7a9595f1f7a9d;i=8f646;b=77033d570e534f0282ebc76e5c9a6589;m=2a8b3a5;t=55eaccdb64fd4;x=1294dfe810639fbe
kernel:         4.13.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 raise at ../sysdeps/unix/sysv/linux/raise.c:51
 #1 dump_gjs_stack_on_signal_handler at ../src/main.c:372

Comment 1 Costa Tsaousis 2017-11-23 22:08:13 UTC
Created attachment 1358430 [details]
File: backtrace

Comment 2 Costa Tsaousis 2017-11-23 22:08:15 UTC
Created attachment 1358431 [details]
File: cgroup

Comment 3 Costa Tsaousis 2017-11-23 22:08:17 UTC
Created attachment 1358432 [details]
File: core_backtrace

Comment 4 Costa Tsaousis 2017-11-23 22:08:19 UTC
Created attachment 1358433 [details]
File: cpuinfo

Comment 5 Costa Tsaousis 2017-11-23 22:08:21 UTC
Created attachment 1358434 [details]
File: dso_list

Comment 6 Costa Tsaousis 2017-11-23 22:08:23 UTC
Created attachment 1358435 [details]
File: environ

Comment 7 Costa Tsaousis 2017-11-23 22:08:25 UTC
Created attachment 1358436 [details]
File: limits

Comment 8 Costa Tsaousis 2017-11-23 22:08:28 UTC
Created attachment 1358437 [details]
File: maps

Comment 9 Costa Tsaousis 2017-11-23 22:08:29 UTC
Created attachment 1358438 [details]
File: mountinfo

Comment 10 Costa Tsaousis 2017-11-23 22:08:32 UTC
Created attachment 1358439 [details]
File: open_fds

Comment 11 Costa Tsaousis 2017-11-23 22:08:33 UTC
Created attachment 1358440 [details]
File: proc_pid_status

Comment 12 Costa Tsaousis 2017-11-23 22:08:35 UTC
Created attachment 1358441 [details]
File: var_log_messages

Comment 13 Costa Tsaousis 2017-11-26 11:25:28 UTC
Similar problem has been detected:

just after login to gnome

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=9026f402f8a9413c9bf7a9595f1f7a9d;i=118616;b=79cbc32f60f2409c98e345c1fb5e287c;m=345e4d2;t=55ee0f44e168e;x=3767d3da73bfb7f6
kernel:         4.15.0-0.rc0.git7.2.local.fc28.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 fedora@mail.magic-object.mydns.jp 2017-11-28 09:02:34 UTC
*** Bug 1518117 has been marked as a duplicate of this bug. ***

Comment 15 jun 2017-11-28 11:46:23 UTC
*** Bug 1518189 has been marked as a duplicate of this bug. ***

Comment 16 kluksa 2017-11-29 23:35:39 UTC
*** Bug 1519033 has been marked as a duplicate of this bug. ***

Comment 17 Stephen Finucane 2017-11-30 15:53:05 UTC

*** This bug has been marked as a duplicate of bug 1510059 ***

Comment 18 jun 2017-12-04 05:18:39 UTC
*** Bug 1520228 has been marked as a duplicate of this bug. ***

Comment 19 Daniel Wang 2017-12-12 00:44:25 UTC
*** Bug 1524761 has been marked as a duplicate of this bug. ***

Comment 20 Maksym Sh 2017-12-13 21:16:33 UTC
*** Bug 1525693 has been marked as a duplicate of this bug. ***

Comment 21 John Williams 2017-12-14 21:37:24 UTC
*** Bug 1526187 has been marked as a duplicate of this bug. ***

Comment 22 Adam Williamson 2017-12-15 02:01:17 UTC
This is not in fact a duplicate of 1510059, the backtrace and logs are quite different. The fatal error message we can see in the backtrace is "Connection to xwayland lost", but that just tells us XWayland crashed, it doesn't tell us anything about why. The var_log_messages log usually has some clues, but in this case there's nothing spectacularly obvious. This could *possibly* be related:

Nov 23 23:05:44 ktsaou-laptop gnome-shell[4331]: Getting profile form stream id null
Nov 23 23:05:44 ktsaou-laptop gnome-shell[4331]: USB Audio Speaker
Nov 23 23:05:44 ktsaou-laptop gnome-shell[4331]: Added: 2:USB Audio Speaker:null
Nov 23 23:05:44 ktsaou-laptop gnome-shell[4331]: JS WARNING: [/home/costa/.local/share/gnome-shell/extensions/sound-output-device-chooser@kgshank.net/base.js 167]: reference to undefined property 2
Nov 23 23:05:44 ktsaou-laptop gnome-shell[4331]: gvc_mixer_stream_get_port: assertion 'stream->priv->ports != NULL' failed

but it's not clear that any of that was fatal.

It sounds like you've hit this more than once, Costa - can you attach full journal logs from one of the times it happened? That might get us more information. Also, can you try disconnecting any USB audio devices you have, and see if that helps?

Comment 23 Costa Tsaousis 2017-12-15 07:31:33 UTC
Hi,

this is easily reproducible. I can just reboot and 90% of the times it will happen.

Sometimes I get 2 crashes, one for gnome-shell and one for xwayland but the later cannot be reported for some reason.

I think however it only happens when I have my docking station attached. I'll do a few tests.

How can I extract the full journal?

Comment 24 Adam Williamson 2017-12-15 17:08:15 UTC
Ah, the information from the xwayland crash may be helpful, even if abrt says it's not reportable; can you get the 'backtrace' file from that crash and attach it? There's an option to 'open problem data directory' in the tool, you can find the file there.

You can use 'journalctl' (as root) to get the journal. You can use 'journalctl --since YYYY-MM-DD --until YYYY-MM-DD' to limit the output to a date range, then find the relevant portion (say from a few minutes before the crash to a few minutes after) and attach that.

Thanks a lot!

Comment 25 Daniel Wang 2017-12-19 18:35:16 UTC
Similar problem has been detected:

Login on gdm into gnome-shell after overnight inactivity (did not log-out on previous day-- 
gnome-shell must have crashed/gotten-killed. I expected a screen lock UI).
A screen flash later, there is a lock-screen, and upon unlocking, ABRT reports that gnome-shell died.

About 50% of the time that the problem occurs, ABRT says the backtrace is unusable and refuses to report the bug/problem.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=41786f146fc545cdac583e307ec8b08f;i=105b23;b=5904b9d76f324644b3088e5393856adb;m=136e28a8cb;t=560b590ed3e89;x=694667918d61e0f5
kernel:         4.14.5-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 Adam Williamson 2017-12-19 18:56:29 UTC
Daniel, could you please get the 'backtrace' file from one of your reports (not one abrt considers 'unreportable') and attach it? I suspect your case may not actually be a dupe of Costa's, but rather this is another case where abrt dupe detection is fooled by some problematic codepaths in GNOME...

Comment 27 Costa Tsaousis 2017-12-20 08:27:55 UTC
Created attachment 1370345 [details]
journal

here it is.

It includes 2 iterations:

1. iteration 1: boot with 4.15.0-0.rc4 (custom built to enable acpi_rev_override=5 for dell xps 9560)

2. iteration 2: boot with fedora shipped 4.14.5-300

Both are clean boot to desktop, including login.
In both cases:

- xwayland crashed (stack trace included)
- gnome-shell crashed (stack trace included)

I have only filtered out my gvpe VPN logs to protect my IPs. Everything else is included.

Comment 28 Adam Williamson 2017-12-21 02:02:12 UTC
Costa: the crashes at Dec 20 10:05:58 and Dec 20 10:07:51 in those logs look like they were the same as https://bugzilla.redhat.com/show_bug.cgi?id=1514220 - note the 'invalid global wl_output (21)' error. There seems to be another "connection to xwayland lost" message at Dec 20 10:06:39, but I'm not totally sure where that came from. Still, it looks to me like you're probably suffering from #1514220. The good news is that a fix for this has been sent out for F26 and F27. For F27 it just recently landed in stable, for F26 it's still in testing. The fix is mutter-3.26.2-2.fc27 for F27 and mutter-3.24.4-3.fc26 for F26. With those versions or higher you should no longer hit the crash. Thanks!

*** This bug has been marked as a duplicate of bug 1514220 ***

Comment 29 fedora@mail.magic-object.mydns.jp 2017-12-24 02:52:54 UTC
*** Bug 1528785 has been marked as a duplicate of this bug. ***

Comment 30 chopin xiao 2017-12-27 10:19:58 UTC
*** Bug 1529251 has been marked as a duplicate of this bug. ***

Comment 31 Christian Stadelmann 2018-01-25 07:23:51 UTC
The related XWayland crash is bug #1530806. At least in my case these two crashes often happen at the same time when logging in, sending me back to GDM.

mutter-3.26.2-2.fc27.x86_64 is installed and this bug is not fixed.

Comment 32 Adam Williamson 2018-01-25 08:25:19 UTC
Christian: there is no particular reason to believe any bug which was claimed to be a "duplicate" of this bug is in fact the same as the original bug, or any *other* bug marked as a "duplicate", unfortunately. So, if you have info on your specific case in a bug report, just keep that bug report open - but it doesn't mean that the fix for any other person here will also be the fix for you, or that the fix for you will be the fix for anyone else :/

Just a problem with the abrt dupe detection, once it's happened, it's kinda impossible to undo...we are fixing it going forward, though.

Comment 33 Johan 2018-02-07 11:33:08 UTC
*** Bug 1542925 has been marked as a duplicate of this bug. ***

Comment 34 Hadi 2018-02-08 15:15:52 UTC
*** Bug 1543500 has been marked as a duplicate of this bug. ***

Comment 35 Rafael Bailón 2018-02-13 12:44:42 UTC
*** Bug 1544761 has been marked as a duplicate of this bug. ***

Comment 36 Vitaliy 2018-02-18 16:23:58 UTC
*** Bug 1546553 has been marked as a duplicate of this bug. ***

Comment 37 Lars Nielsen 2018-02-19 12:26:41 UTC
*** Bug 1546725 has been marked as a duplicate of this bug. ***

Comment 38 Douglas Kaip 2018-02-20 05:21:52 UTC
*** Bug 1546934 has been marked as a duplicate of this bug. ***

Comment 39 Stas 2018-02-20 08:48:55 UTC
*** Bug 1546972 has been marked as a duplicate of this bug. ***

Comment 40 José Antonio Vico 2018-02-21 13:55:07 UTC
*** Bug 1547530 has been marked as a duplicate of this bug. ***

Comment 41 Hadi 2018-03-01 21:43:19 UTC
*** Bug 1550726 has been marked as a duplicate of this bug. ***

Comment 42 bart.scheerlinck 2018-03-03 11:43:05 UTC
*** Bug 1551202 has been marked as a duplicate of this bug. ***

Comment 43 Brian J. Murrell 2018-03-03 17:53:17 UTC
*** Bug 1551230 has been marked as a duplicate of this bug. ***

Comment 44 bart.scheerlinck 2018-03-07 07:33:11 UTC
*** Bug 1552444 has been marked as a duplicate of this bug. ***

Comment 45 Ilya Shipitsin 2018-03-09 05:52:26 UTC
*** Bug 1553575 has been marked as a duplicate of this bug. ***

Comment 46 jrweare 2018-03-10 17:30:28 UTC
*** Bug 1554008 has been marked as a duplicate of this bug. ***

Comment 47 Jan Niklas Hasse 2018-03-16 16:33:22 UTC
*** Bug 1557484 has been marked as a duplicate of this bug. ***

Comment 48 zimon 2018-03-22 21:40:32 UTC
*** Bug 1559614 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.